\section{Algoritmos heurísticos}
\subsection{Computación evolutiva}

\begin{frame}
	\frametitle{Computación Evolutiva}
	\input{algoritmos/EA}
\end{frame}

\subsection{Temple Simulado}
\begin{frame}
	\frametitle{Temple Simulado}
	\input{algoritmos/SA}
\end{frame}

\subsection{Función fitness}
\begin{frame}
	\frametitle{Función \textit{fitness}}
	\begin{block}{Elementos}
		\begin{itemize}
			\item $\mathbf{x}$: vector solución.
			\item $p_i$: precio unitario (en USD).
			\item $w_i$: consumo (en Watts).
			\item $f_i$: rendimiento (en GFlops).
			\item $\omega_i$: pesos.
		\end{itemize}
	\end{block}
	\begin{equation*}
		C(\mathbf{x}) 
		= 
		\omega_0 \sum_{i=1}^{n} x_i \frac{p_i}{p_{\text{máx}}}
		+
		\omega_1 \sum_{i=1}^{n} x_i \frac{w_i}{w_{\text{máx}}}
		+
		B(\mathbf{x})
		+
		F(\mathbf{x})
	\end{equation*}
\end{frame}

\begin{frame}
	\frametitle{Función \textit{fitness}}
	\begin{block}{Penalizaciones}
		\begin{itemize}
			\item Balance:
			\begin{equation*}
			B(\mathbf{x}) = \abs{\exp{\omega_2\sum_{j=1}^{c} \abs{\frac{\norm{\mathbf{x}_j}_1}{\norm{\mathbf{x}}_1} - b_j}} - 1}
			\end{equation*}
			
			\item Rendimiento:
			\begin{equation*}
			F(\mathbf{x}) = \abs{\exp{f_0 - \sum_{i=1}^{n} x_i f_i} - 1}
			\end{equation*}
		\end{itemize}
	\end{block}
\end{frame}